<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Texture.html">Texture</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Texture Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#afcb4a61b965600a67ca2c2f060821db9">_dirtyState</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a893c7a150edb48a25e5df700cfc194eb">_fireLoadingComplete</a>(bool wasBackgroundLoaded)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a77d5f72e02500f6db6f460bb48eac721">_firePreparingComplete</a>(bool wasBackgroundLoaded)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a4b5d014a4d078b7893cce480b264c493">_fireUnloadingComplete</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a13fc432584dd44c2969a8e41bdca569c">_loadImages</a>(const ConstImagePtrList &amp;images)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a3d111616339484f39c9456eeec6fd843">_notifyOrigin</a>(const String &amp;origin)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a5513ffce404b14cff72846318b018d32">addListener</a>(Listener *lis)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#aa98e3e83764aeb0dddc57e1c1dac7f43">calculateSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aa5d6f3f7e73b77b233fc62b11f270e4d">changeGroupOwnership</a>(const String &amp;newGroup)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#acf8f82e24d486b9ace424d8908e5eb00">convertToImage</a>(Image &amp;destImage, bool includeMipMaps=false)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a>(StringInterface *dest) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a017b0d0590ce4afc079f2f1f85a686b8">copyToTexture</a>(TexturePtr &amp;target)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a906f16bb83aecba3b1204d62308e419d">createInternalResources</a>(void)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#ae9be8185e9b93c78d325db8e3693c26b">createInternalResourcesImpl</a>(void)=0</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected, pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a681773443d95aea05a486c5d22c15bd1">createParamDictionary</a>(const String &amp;className)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a367f6fe60bb211cb4c32e3825ca67e4c">escalateLoading</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a43fa847c09ec75de76555dd648e95420">freeInternalResources</a>(void)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a83c176c3f4d01d35cb4d4ee46af7cefa">freeInternalResourcesImpl</a>(void)=0</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected, pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a5df1d413ab5aab631adc59c9fac06d22">getBuffer</a>(size_t face=0, size_t mipmap=0)=0</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a741224f735dfd9ce324a4e8e621d868c">getCreator</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#accfa5467ab8ccfc5920ec64101f8f532">getCustomAttribute</a>(const String &amp;name, void *pData)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a08698c8524b74c8303927f665f36e827">getDepth</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a8b4352d54f63d4c0f29d45fca8d11c2a">getDesiredFloatBitDepth</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a01e66834e5af4ac5d24222d24c09a9ca">getDesiredFormat</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a2e81c09207d2c2293d1d343fa49050aa">getDesiredIntegerBitDepth</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a91a5ec6b7cae49a1f7aa05b7beac966b">getFormat</a>() const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#aa9336fcb9283afad0259466633533f33">getFSAA</a>() const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a78a1bb99cc419187c77141ab05edb7ea">getFSAAHint</a>() const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#aae8fa69ad2ea0d4b84c85d280197953b">getGamma</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae712b3ff458ccbf8e1ff1e33d695bf60">getGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae3be647e47679266df79b565ffbe1de7">getHandle</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a487fd460a132f1c4097ec1f6d2e7c37c">getHeight</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a76029b0c460f49dc544015d69befe091">getLoadingState</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a3435f815f90fdf90e3c28393125e3168">getMipmapsHardwareGenerated</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a77fac58a5756d746b2452933f615c25d">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a993be9937ba0abe4c2d663b9105409d1">getNumFaces</a>() const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a73913a082bfc8f1e3de44441df92308a">getNumMipmaps</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a8e4b0066ed588a49cdf474e9870bfcb4">getOrigin</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ae3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a>(void)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a57397ce47f649e66c5654da05207df0b">getParameter</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#adfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aa8e96b7bb387708db2161f7f982407c6">getSize</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a8b4fac9addc733cebd68b0b126b23b23">getSourceFileType</a>() const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a9037f86414b57597677ea98d66c40001">getSrcDepth</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#ad4dccbd257ef80d031b4d9e72ca08164">getSrcFormat</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a772f4bd16b6b629f16f112926be4d460">getSrcHeight</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a8637d1b6b0c6b17c10dbe0bc65ce8dc4">getSrcWidth</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a9fef5e371f8e94141624a151ac12e695">getStateCount</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a3db3e97f86e298f79fd09e511f572cc1">getTextureType</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a48c9409feb73321926930d064a2a3aa9">getTreatLuminanceAsAlpha</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a5544f33879e292ff3d0c6fb13129ba0d">getUsage</a>() const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a68051f56bb8d87ce19640a8026586207">getWidth</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a4769c21c8e7e73f9d45344bf96d38d17">hasAlpha</a>(void) const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae20969c8754d9c939b4d88b4a9eefd08">isBackgroundLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#ae41a45cc2461c263936f620708b08976">isHardwareGammaEnabled</a>() const </td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a10bba19766b989cbe5a953c78d3e6bb4">isLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a23136f099efe86c1134dca0a959ba626">isLoading</a>() const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#afa5615006905ffb68d6e52449306565f">isManuallyLoaded</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aab3672d493ff4ef995520daf6f5067f0">isPrepared</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aadcc4a98a8450506e6b55800db72d414">isReloadable</a>(void) const </td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a7395c6b8451100dd30e688595b5ff2c6">ListenerList</a> typedef</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a699d1c851f494a8d5d23d23b695ceb47">load</a>(bool backgroundThread=false)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#ac129cc0a773f0d9d0eb4c3c1a1b65618">loadImage</a>(const Image &amp;img)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aedac2886ca15f5f2c43ab2c272998fbf">loadImpl</a>(void)=0</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, pure virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572c">LoadingState</a> enum name</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a1d84784891731ee66945ffbc3b31e35b">loadRawData</a>(DataStreamPtr &amp;stream, ushort uWidth, ushort uHeight, PixelFormat eFormat)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572caa38cbef7605fc4bff6da2f34599ace8f">LOADSTATE_LOADED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572caf138fc9087e0dc755bff08a83720cbb5">LOADSTATE_LOADING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572ca133a073b86c346096237063f99870fc1">LOADSTATE_PREPARED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572cab43c913411f4a96722902f17b88f10fb">LOADSTATE_PREPARING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572ca28d463296cacdfc115dbc3fb02d00e94">LOADSTATE_UNLOADED</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a07e619aa09d3bc6789a6667cb4fc572ca4228d390b3a9ed614001db177d1f441e">LOADSTATE_UNLOADING</a> enum value</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a79c8dbcaa3f5359186352418383e1046">mCreator</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a55f60f21398b55836e13a692b90dd736">mDepth</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#aa06a0be1885e8ff96fde33277140e46f">mDesiredFloatBitDepth</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a4c9e046e633bacb741cbe2518dfbc649">mDesiredFormat</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a1797d9ab733702d0c0b05ba3fd6f1584">mDesiredIntegerBitDepth</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a74872f190e8c6d2da750c03698ad73fd">mFormat</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a74aefafbb9c481bf31e39996ef69458c">mFSAA</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a834e35614c75542a09e423cdd6b33bc8">mFSAAHint</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a91414bf8610084680cc21144c93e34ca">mGamma</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a416b0fb05b6c9f03e11d0d8c4e2cbeea">mGroup</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a269fd910e51c66290e0ffe5c2ac134d3">mHandle</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a05ffc612f2d228396455f429325d99d4">mHeight</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a12c901db5fff58d9779f327bb363b088">mHwGamma</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#ae5bc056fc6cc83ae12cf2a3d0786e87b">mInternalResourcesCreated</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a6b9f18275f5f5a4dc3b83f23027a5d78">mIsBackgroundLoaded</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a14dce433a68055e7683aa872c197d1d8">mIsManual</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a94e78b7ae5be758c317ae1e8c4e14f1b">mListenerList</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a11c91bed31936b5dec39e30d77498470">mLoader</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a9c01143012af1b51e648f40e0038476a">mLoadingState</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a78c173eadbdbce6c766632a40fc0363c">mMipmapsHardwareGenerated</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a18a3db85a240eda9dfe741a46f2c01c9">mName</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a6b82c3ed419e91a11bd9d0063df83ed9">mNumMipmaps</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a6958c92e9f0e66c4a3d132ed273ea319">mNumRequestedMipmaps</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a342fcd2c8c95309e12dea3c699f91c15">mOrigin</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#afdef34c49ee7a3b256672e3e4b183142">mSize</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a402d51a2ed86cbef7469f3d6be6d3c01">mSrcDepth</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a2598c4e24ba37ce5f82393be82aeddc6">mSrcFormat</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#ae724845657658ff3165d9597c1fad1db">mSrcHeight</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#aa15877330d8c2ce5b6cf6715937f2b12">mSrcWidth</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a3935b76c9f120dab0419734d990eccaa">mStateCount</a></td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#aab3add1d83300d2518d4ae9864c32651">mTextureType</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#aa922f905790cc650b2761caa2e28e51e">mTreatLuminanceAsAlpha</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#ae3c39759ac6bea7faa7c60d3994927a4">mUsage</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a1619297beb23828218b26ce18362a984">mWidth</a></td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a0ac4960f2e4969be70ded84e35c7728d">postLoadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ab0e94a1f17f20b3e3c6f3cf4a5aa8096">postUnloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ac21645684d207f29513228e061dec765">preLoadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a350b287fa3e83a389221274f68760008">prepare</a>(bool backgroundThread=false)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a5e8f978cbb908c67a98d16556c8cd0ef">prepareImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a318dc51074007c20d68db9b40c70da08">preUnloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ab7a0b8de3a7e4d20fcfd84da41ac450e">reload</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a3c49142f739ba8fb56d6e7b3db235fb7">removeListener</a>(Listener *lis)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#af16d869fa1c3671447a1e22ae6228242">Resource</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a03c52d5285092f0a5d21ad83a0643814">Resource</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae0a0007de944eb3c2f933a372a752b35">setBackgroundLoaded</a>(bool bl)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#afd7eb62399bd48b21f6763eba94ab28d">setDepth</a>(size_t d)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#ae67e44696cde3c7d4e8fec157ca4f498">setDesiredBitDepths</a>(ushort integerBits, ushort floatBits)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#aa38c4f67ab5413135d1830dd164a68e6">setDesiredFloatBitDepth</a>(ushort bits)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a2ee26937110dfbd80a5419b1e14fe619">setDesiredIntegerBitDepth</a>(ushort bits)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#af745587ede1e8482b1edac167fbf82fd">setFormat</a>(PixelFormat pf)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#ab930e26d3531e20604e22e3324759ad4">setFSAA</a>(uint fsaa, const String &amp;fsaaHint)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a34a2cf25885b2d6f16adc1dbd7275e09">setGamma</a>(float g)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a41e0ef825d3ce3c305d1b4d34103da13">setHardwareGammaEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#ab4f95c16ba72153a00a3422289099296">setHeight</a>(size_t h)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a3cd584d5e1b9bbd1eb665303f9fca7ee">setNumMipmaps</a>(size_t num)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ace884b65b722ead9b920b9abf27bf815">setParameter</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ae356913ccefbebc4f0119a0599a406fc">setParameterList</a>(const NameValuePairList &amp;paramList)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a99ab7ce9aba371bab2f04fe1eebe6f26">setTextureType</a>(TextureType ttype)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#aa561d8d03383bb59ecce5c4278ed8da6">setTreatLuminanceAsAlpha</a>(bool asAlpha)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a04969ca1d25bf40e71e907f2cdb7443b">setUsage</a>(int u)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#ab966147d746a969aa80a0ae71d6fb0e2">setWidth</a>(size_t w)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ad57e8c6f0793dde7d1b479361e55e419">StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a2624f89d5e9e5d645380fce79836b54f">Texture</a>(ResourceManager *creator, const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#ae229b1f58092109adef55bfc6f864d79">touch</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aa31bef1bfaa87731622e56f11b548e27">unload</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Texture.html#a50595e11d3256b89d4de09d321dfd17c">unloadImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Texture.html">Ogre::Texture</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#aa550fde0145a3a0ae0329beaf03f23e1">unprepareImpl</a>(void)</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Resource.html#a089562812828920fe1d1a371acf393e7">~Resource</a>()</td><td><a class="el" href="classOgre_1_1Resource.html">Ogre::Resource</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#aa86a8941e57b203088797a4b28da8c4d">~StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:09
</p>
</body>
</html>
